MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029376Open CASCADE[OCCT] OCCT:Codingpublic2017-12-07 20:572018-06-29 21:19
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.3.0 
Summary0029376: Coding Rules, TColStd_PackedMapOfInteger - declare Iterator as nested class of map collection
DescriptionCurrently, iterator of TColStd_PackedMapOfInteger is declared as TColStd_MapIteratorOfPackedMapOfInteger in dedicated header file.

It is inconvenient and inconsistent to NCollection classes, which declare iterator as nested class of iterated collection.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
parent of 0029764closedabv Community Foundation Classes, TColStd_MapIteratorOfPackedMapOfInteger - workaround Visual Studio Linker bug with enabled CLI 

-  Notes
(0072779)
git (administrator)
2017-12-07 20:59

Branch CR29376 has been created by kgv.

SHA-1: f8d601b2b566dc34873f52f09cdfc0e220b13907


Detailed log of new commits:

Author: kgv
Date: Thu Dec 7 20:58:36 2017 +0300

    0029376: Coding Rules, TColStd_PackedMapOfInteger - declare Iterator as nested class of map collection
(0072843)
kgv (developer)
2017-12-07 21:32
edited on: 2017-12-08 20:32

Patch is ready for review.

http://jenkins-test-10.nnov.opencascade.com/view/CR29376-master-KGV [^]

(0073007)
abv (manager)
2017-12-18 06:33

No remarks, please integrate
(0073015)
bugmaster (administrator)
2017-12-18 12:01

Combination -
OCCT branch : CR29376 SHA - f8d601b2b566dc34873f52f09cdfc0e220b13907
Products branch : master SHA - 415c5096b9b013d1fad1454581bcdbe1e6090b5d
was compiled on Linux, MacOS and Windows platforms and tested on optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian70-64:
OCCT
Total CPU difference: 18460.609999999684 / 18469.379999999688 [-0.05%]
Products
Total CPU difference: 7507.219999999984 / 7457.620000000003 [+0.67%]
Windows-64-VC10:
OCCT
Total CPU difference: 17870.46055349864 / 17828.96428749855 [+0.23%]
Products
Total CPU difference: 8010.947751899978 / 8009.6685436999705 [+0.02%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0073325)
git (administrator)
2018-01-11 11:10

Branch CR29376 has been deleted by kgv.

SHA-1: f8d601b2b566dc34873f52f09cdfc0e220b13907

- Related Changesets
occt: master 683d15cb
Timestamp: 2017-12-07 17:58:36
Author: kgv
Committer: bugmaster
Details ] Diff ]
0029376: Coding Rules, TColStd_PackedMapOfInteger - declare Iterator as nested class of map collection
mod - src/TColStd/FILES Diff ] File ]
rm - src/TColStd/TColStd_MapIteratorOfPackedMapOfInteger.cxx Diff ] File ]
mod - src/TColStd/TColStd_MapIteratorOfPackedMapOfInteger.hxx Diff ] File ]
mod - src/TColStd/TColStd_PackedMapOfInteger.cxx Diff ] File ]
mod - src/TColStd/TColStd_PackedMapOfInteger.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-12-07 20:57 kgv New Issue
2017-12-07 20:57 kgv Assigned To => kgv
2017-12-07 20:59 git Note Added: 0072779
2017-12-07 21:32 kgv Note Added: 0072843
2017-12-07 21:32 kgv Assigned To kgv => abv
2017-12-07 21:32 kgv Status new => resolved
2017-12-08 20:32 kgv Note Edited: 0072843 View Revisions
2017-12-18 06:33 abv Note Added: 0073007
2017-12-18 06:33 abv Assigned To abv => bugmaster
2017-12-18 06:33 abv Status resolved => reviewed
2017-12-18 11:58 bugmaster Test case number => Not required
2017-12-18 12:01 bugmaster Note Added: 0073015
2017-12-18 12:01 bugmaster Status reviewed => tested
2017-12-23 12:07 bugmaster Changeset attached => occt master 683d15cb
2017-12-23 12:07 bugmaster Status tested => verified
2017-12-23 12:07 bugmaster Resolution open => fixed
2018-01-11 11:10 git Note Added: 0073325
2018-02-20 12:58 user533 Target Version 7.4.0* => 7.3.0
2018-05-14 15:38 kgv Relationship added parent of 0029764
2018-06-29 21:13 user533 Fixed in Version => 7.3.0
2018-06-29 21:19 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker